@echo off
echo Test runner: %1 = name of chapter
if "%1" == "" goto NOARG
rem Delete previous test results:

del %1.htm
del %1.ref
del %1.grx
if exist *.backup.* del *.backup.*
if exist %1.mif goto RUNIT
goto NOFILE

:RUNIT
echo on
dcl -thtm -v %1.mif
echo off
goto END

:NOARG
echo Sorry, no chapter name provided.
goto USAGE

:NOFILE
echo No file %1.mif

:USAGE
echo Usage: _RunTest chapname
echo where chapname.mif is the file to convert.
goto END

:END

